Edit client's availabilities
curl --request PATCH \
--url https://api.gcore.com/iam/products/availability/clients/{clientId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"available": true
}
'import requests
url = "https://api.gcore.com/iam/products/availability/clients/{clientId}"
payload = { "available": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({available: true})
};
fetch('https://api.gcore.com/iam/products/availability/clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_name": "CDN",
"available": true
}{
"errors": {}
}{
"message": "<string>",
"trial": [
"CDN"
],
"activating": [
"CDN"
],
"active": [
"CDN"
]
}Products' availability
Edit client's availabilities
Edit list of products available to a client.
If you make changes in the client’s personal availability settings at least once, the availability statuses of the personalized products will not be available for further changes with the edit default availability settings request. But there is also a request to reset these personal settings to default ones.
PATCH
/
iam
/
products
/
availability
/
clients
/
{clientId}
Edit client's availabilities
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Account ID.
Body
application/json
Was this page helpful?